package camel.example;

import org.apache.camel.CamelContext;
import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.impl.DefaultCamelContext;

public class FileCopierWithCamel {

	public static void main(String args[]) throws Exception {
		CamelContext context = new DefaultCamelContext();
		context.addRoutes(new RouteBuilder() {
			public void configure() {
				from("ftp://ftp.pucrs.br/mysql/img?delay=5s&move=done").to("file:target/download");
			}
		});

		context.start();
		Thread.sleep(10000);
		context.stop();
	}
}